from chemsh       import *
from chemsh.utils import testutils

water = Fragment(coords="water.cjson")

pyscf = PySCF(frag=water, method="hf", basis="3-21g")

sp = SP(theory=pyscf, gradients=True)

sp.run()

ecalc = sp.result.energy

# Tcl-ChemShell 3.7.1/ORCA 4.2.1 result
# convergence=normalscf
#eref = -75.585287768029
# convergence=tightscf
#eref = -75.585287776662
# ORCA 5.0.3
#eref = -75.58528778

# pyscf reference
eref = -75.5852877767731

testutils.validate(ecalc, eref)
